Debian Bug report logs - #693980
gpsim: fails to upgrade lenny -> squeeze -> wheezy - trying to overwrite /usr/lib/libgpsim_graphicLCD.so.0.0.0

version graph

Package: gpsim; Maintainer for gpsim is Georges Khaznadar <georgesk@debian.org>; Source for gpsim is src:gpsim.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Thu, 22 Nov 2012 14:57:01 UTC

Severity: serious

Tags: patch

Found in version gpsim/0.26.1-2

Fixed in version gpsim/0.26.1-2.1

Done: Hideki Yamane <henrich@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#693980; Package gpsim. (Thu, 22 Nov 2012 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Georges Khaznadar <georgesk@ofset.org>. (Thu, 22 Nov 2012 14:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gpsim: fails to upgrade lenny -> squeeze -> wheezy - trying to overwrite /usr/lib/libgpsim_graphicLCD.so.0.0.0
Date: Thu, 22 Nov 2012 15:56:11 +0100
[Message part 1 (text/plain, inline)]
Package: gpsim
Version: 0.26.1-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'lenny' to 'squeeze' to 'wheezy'.
It installed fine in 'lenny', and upgraded to 'squeeze' successfully,
but then the upgrade to 'wheezy' failed because it tries to overwrite
other packages files without declaring a Breaks/Replaces relation.

See policy 7.6 at
http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

>From the attached log (scroll to the bottom...):

  Preparing to replace gpsim 0.24-3 (using .../gpsim_0.26.1-2_amd64.deb) ...
  Unpacking replacement gpsim ...
  dpkg: error processing /var/cache/apt/archives/gpsim_0.26.1-2_amd64.deb (--unpack):
   trying to overwrite '/usr/lib/libgpsim_graphicLCD.so.0.0.0', which is also in package gpsim-lcd-graphic 0.3.0-1.1
  configured to not write apport reports
  dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

As gpsim-lcd-graphic only exists in lenny, adding unversioned
Breaks and Replaces should be sufficient.

cheers,

Andreas
[gpsim-lcd-graphic_None.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#693980; Package gpsim. (Thu, 22 Nov 2012 15:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Georges Khaznadar <georgesk@ofset.org>. (Thu, 22 Nov 2012 15:09:09 GMT) Full text and rfc822 format available.

Message #10 received at 693980@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 693980@bugs.debian.org
Subject: Re: Bug#693980: gpsim: fails to upgrade lenny -> squeeze -> wheezy - trying to overwrite /usr/lib/libgpsim_graphicLCD.so.0.0.0
Date: Thu, 22 Nov 2012 16:01:35 +0100
Control: affects -1 + gpsim-lcd gpsim-lcd-graphic

Same problem with gpsim-lcd:

  Preparing to replace gpsim 0.24-3 (using .../gpsim_0.26.1-2_amd64.deb) ...
  Unpacking replacement gpsim ...
  dpkg: error processing /var/cache/apt/archives/gpsim_0.26.1-2_amd64.deb (--unpack):
   trying to overwrite '/usr/lib/libgpsim_lcd.so.0.0.0', which is also in package gpsim-lcd 0.2.9-1
  dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
  configured to not write apport reports


Andreas



Added indication that 693980 affects gpsim-lcd and gpsim-lcd-graphic Request was from Andreas Beckmann <debian@abeckmann.de> to 693980-submit@bugs.debian.org. (Thu, 22 Nov 2012 15:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Georges Khaznadar <georgesk@ofset.org>:
Bug#693980; Package gpsim. (Sat, 24 Nov 2012 05:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@gmail.com>:
Extra info received and forwarded to list. Copy sent to Georges Khaznadar <georgesk@ofset.org>. (Sat, 24 Nov 2012 05:54:06 GMT) Full text and rfc822 format available.

Message #17 received at 693980@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@gmail.com>
To: 693980@bugs.debian.org, control@bugs.debian.org
Subject: Re: gpsim: fails to upgrade lenny -> squeeze -> wheezy - trying to overwrite /usr/lib/libgpsim_graphicLCD.so.0.0.0
Date: Sat, 24 Nov 2012 14:50:46 +0900
claim 693980 henrich@debian.or.jp
tags 693980 patch pending
thanks

Hi,

 I've made a patch for this as below, would upload it with delayed queue.


diff -Nru gpsim-0.26.1/debian/changelog gpsim-0.26.1/debian/changelog
--- gpsim-0.26.1/debian/changelog       2012-05-27 05:08:50.000000000 +0900
+++ gpsim-0.26.1/debian/changelog       2012-11-24 14:43:50.000000000 +0900
@@ -1,3 +1,13 @@
+gpsim (0.26.1-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/control
+    - add {Breaks,Replaces}: gpsim-lcd-graphic, gpsim-lcd to avoid upgrade
+      failure from old environment. Thanks to Andreas Beckmann
<debian@abeckmann.de>
+      (Closes: #693980)
+
+ -- Hideki Yamane <henrich@debian.org>  Sat, 24 Nov 2012 14:41:31 +0900
+
 gpsim (0.26.1-2) unstable; urgency=low

   * applied Ilya Barygin's patch, thanks! Closes: #665542
diff -Nru gpsim-0.26.1/debian/control gpsim-0.26.1/debian/control
--- gpsim-0.26.1/debian/control 2012-05-27 05:08:12.000000000 +0900
+++ gpsim-0.26.1/debian/control 2012-11-24 14:41:28.000000000 +0900
@@ -8,6 +8,8 @@
 Package: gpsim
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: gpsim-lcd-graphic, gpsim-lcd
+Replaces: gpsim-lcd-graphic, gpsim-lcd
 Recommends: gputils (>= 0.10.0-1)
 Suggests: gpsim-led, gpsim-logic, gpsim-lcd, gpsim-doc
 Description: Simulator for Microchip's PIC microcontrollers



Added tag(s) pending and patch. Request was from Hideki Yamane <henrich@gmail.com> to control@bugs.debian.org. (Sat, 24 Nov 2012 05:54:08 GMT) Full text and rfc822 format available.

Information stored :
Bug#693980; Package gpsim. (Thu, 29 Nov 2012 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 29 Nov 2012 18:15:04 GMT) Full text and rfc822 format available.

Message #24 received at 693980-quiet@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 693980-quiet@bugs.debian.org
Subject: Re: Bug#693980: gpsim: fails to upgrade lenny -> squeeze -> wheezy - trying to overwrite /usr/lib/libgpsim_graphicLCD.so.0.0.0
Date: Thu, 29 Nov 2012 19:12:10 +0100
[Message part 1 (text/plain, inline)]
On Sat, 24 Nov 2012 14:50:46 +0900, Hideki Yamane wrote:

>  I've made a patch for this as below, would upload it with delayed queue.

Thanks!

(For those watching along at home: Henrich has uploaded the NMU to a
DELAYED queue in the meantime.)
 
Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Funny van Dannen: Der Wind
[signature.asc (application/pgp-signature, inline)]

Reply sent to Hideki Yamane <henrich@debian.org>:
You have taken responsibility. (Sat, 01 Dec 2012 15:21:10 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sat, 01 Dec 2012 15:21:10 GMT) Full text and rfc822 format available.

Message #29 received at 693980-close@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.org>
To: 693980-close@bugs.debian.org
Subject: Bug#693980: fixed in gpsim 0.26.1-2.1
Date: Sat, 01 Dec 2012 15:17:34 +0000
Source: gpsim
Source-Version: 0.26.1-2.1

We believe that the bug you reported is fixed in the latest version of
gpsim, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693980@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hideki Yamane <henrich@debian.org> (supplier of updated gpsim package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 24 Nov 2012 14:41:31 +0900
Source: gpsim
Binary: gpsim gpsim-dev
Architecture: source amd64
Version: 0.26.1-2.1
Distribution: unstable
Urgency: low
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Changed-By: Hideki Yamane <henrich@debian.org>
Description: 
 gpsim      - Simulator for Microchip's PIC microcontrollers
 gpsim-dev  - Libraries needed only for building gpsim components
Closes: 693980
Changes: 
 gpsim (0.26.1-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/control
     - add {Breaks,Replaces}: gpsim-lcd-graphic, gpsim-lcd to avoid upgrade
       failure from old environment. Thanks to Andreas Beckmann <debian@abeckmann.de>
       (Closes: #693980)
Checksums-Sha1: 
 488c37ed2ac8b19e823de8fadfd17116e56042ae 1839 gpsim_0.26.1-2.1.dsc
 fa7f64ead445c7c492920c4ea5cb4a0fceed5491 9959 gpsim_0.26.1-2.1.debian.tar.gz
 660d31ab3e9c2e459804b9f466300846b5aeab7d 1173850 gpsim_0.26.1-2.1_amd64.deb
 f8e4568f6bdb163bf9c20ff3559a4c285e99c6bc 218228 gpsim-dev_0.26.1-2.1_amd64.deb
Checksums-Sha256: 
 2192f4910c98b9d5535741db489348701927a343878e1fc730a76009f3065a3f 1839 gpsim_0.26.1-2.1.dsc
 0505e634ce7f6d092a254779350642c736b99d64e008209037cb8cd8a77d5347 9959 gpsim_0.26.1-2.1.debian.tar.gz
 c0113f9f7b976b9a626a6f3729eaad08057a0abafccb73401ea37130ccc43a1b 1173850 gpsim_0.26.1-2.1_amd64.deb
 37fe21eb777e2d2be416ea14c436f4c59e1b4355ead32dbb73483e0662a8cd4a 218228 gpsim-dev_0.26.1-2.1_amd64.deb
Files: 
 765b575166dd0ae5dd5be0dfc5877952 1839 electronics optional gpsim_0.26.1-2.1.dsc
 53071e886f7fb44ed0c285312121060f 9959 electronics optional gpsim_0.26.1-2.1.debian.tar.gz
 b77c064d03c46012cc93fb8931ec5d2b 1173850 electronics optional gpsim_0.26.1-2.1_amd64.deb
 ac833abd58a6a2f0fad3a873737b8928 218228 devel optional gpsim-dev_0.26.1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQt3WNAAoJEF0yjQgqqrFAsXsP/Am3PKg4klkLkIFXUPBJZGnq
YoK5A/LDDfCzKvL2q/zVnoiZ6Hl4ZUiokpFIE6QY63FPIWGFfJp7YuLI6eJhitkv
nQ+fw1RaXHdYR4jeAS+YVVdJrb/ZWC1c6xEJFpbRdpC3Gv3pGBXyBPsvM3RXPYOv
nMERzG4Tf9e6K+4ulXaGFGaqF397pUeEpu51CTMC3c8uPFyM1atvDrrTXR+deDFo
rxpATTwRlS10KhyEnrRd8xd5Nsstrcn8Z0SlEHF36iZamedHjEhVMQsh617Ja+i5
E64fBQj7+RVv/tI3jeLJIDv4UKLG8rBnI2WraIIbPQLU59GGxnEzI5RnvdOUBNr5
RAORoEVcVYo5KqJM3LhlSgvCiQqq/2EiWzpKerxBlaiMh3/1nASDCxguSegnxFJA
sCUQXJRNElzhvKy2uj1swf+NkDQk+iRvk7yOgjMh51iosO6QBvTovnMfmneIVwen
ci6fZbgCWbXmi3cYDzQJccVWCDOUkLo66yzgIhdb9Q+kL/NLVyz5NPz+n0fU2Qf2
NI9yII7GQCRIpXknOb/G36quvddqFsMWRAI4tzbbMF+FEkhhZ1Lz0gZ8KK84sj9+
2YZN47FtjXzFO1MMxVgCszJxSEOz+yHkBWuA115YX5FM7yDIlcPbGrqCUGddXwFi
IYlzkDppRA3lgUX1xU0m
=HCWL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Jan 2013 07:27:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:59:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.